#
# ident "@(#)vars.def 1.6     01/05/15 SMI"
#
# Copyright (c) 2000 by Sun Microsystems, Inc.
# All rights reserved.
#

#
# this file is sourced by bbprefs to resolve
# any variables used in the other .def files
#

pkginfo SUNWutkio > /dev/null 2>&1
if [ $? != 0 ]; then
        # here are the BB default settings
        HOMEPAGE="http://localhost/"
        PROXYTYPE=1
        HTTPPROXY=localhost
        HTTPPROXYPORT=8080
        SSLPROXY=localhost
        SSLPROXYPORT=8080
        FTPPROXY=localhost
        FTPPROXYPORT=8080
        WAISPROXY=localhost
        WAISPROXYPORT=8080
        GOPHERPROXY=localhost
        GOPHERPROXYPORT=8080 
else
	PROXYTYPE=0
	HTTPPROXY=""
	HTTPPROXYPORT=0
	SSLPROXY=""
	SSLPROXYPORT=0
	FTPPROXY=""
	FTPPROXYPORT=0
	WAISPROXY=""
	WAISPROXYPORT=0
	GOPHERPROXY=""
	GOPHERPROXYPORT=0 

	if [ -f /var/opt/SUNWut/kiosk/preferences ]; then 
		. /var/opt/SUNWut/kiosk/preferences
	else
		HOMEPAGE="http://www.sun.com/"
		PROXYTYPE=0
	fi
fi
PROXYADDR=$HTTPPROXY      # realplayer needs this
PROXYPORT=$HTTPPROXYPORT  #    "         "     "
BROWSERVERSION=4.76
PRINTER="/bb/bin/bbprint"

